---
version: "3"

networks:
  proxy:
    external: true
  db:
{% if nextcloud_with_clamav %}
  clam:
{% endif %}

volumes:
  postgres:
  nextcloud:
  nextcloud-data:
{% if nextcloud_with_clamav %}
  clam:
{% endif %}

services:

{% if nextcloud_with_clamav %}
  clamav:
    image: clamav/clamav:latest
    restart: unless-stopped
    logging:
      options:
        max-size: 5m
    profiles:
      - default
      - only-clamav
      - full
    networks:
      - clam
    volumes:
      - clam:/var/lib/clamav
{% endif %}

  nextcloud:
    image: {{ nextcloud_oci_image }}
    profiles:
      - default
      - full
      - only-nextcloud
    restart: unless-stopped
    logging:
      options:
        max-size: 5m
    restart: unless-stopped
    # ports:
    #   - 8080:80
    networks:
      - proxy
      - db
{% if nextcloud_with_clamav %}
      - clam
{% endif %}
    depends_on:
      - postgres
    volumes:
      - nextcloud:/var/www/html
      - nextcloud-data:/srv/nextcloud/data
      - ./skel:/srv/nextcloud/skel:ro
      - ./themes:/srv/nextcloud/themes:ro
{% if nextcloud_with_cron %}
      - ./cron.d:/var/spool/cron:rw
{% endif %}  
{% if nextcloud_with_header_integration %}
      - {{remote_path}}/rps-nextcloud-header-injection/patches/:/srv/header-patches/:ro
{% endif %}
    env_file:
      - "./env"

  postgres:
    image: postgres:15.1
    profiles:
      - default
      - full
      - only-nextcloud
    restart: unless-stopped
    logging:
      options:
        max-size: 5m
    networks:
      - db
    volumes:
      - postgres:/var/lib/postgresql/data
      - ./initdb:/docker-entrypoint-initdb.d:ro
    env_file: postgres.env
